html {
  scrollbar-gutter: stable;
}
a,
.back-button,
.cart-link-modal__close {
  cursor: pointer;
}

/* モーダル本体 */
.cart-link-modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 1001;
  width: 800px;
  min-height: 50px;
  max-height: 400px;
  background: #fff;
  transform: translate(-50%, -50%);
}
.cart-link-modal.is-open {
  display: block;
}
.cart-link-modal__inner {
  width: 700px;
  min-height: 120px;
  max-height: 300px;
  margin: 20px auto;
}

/* モーダル内テキスト */
.cart_modal_text01 {
  margin-bottom: 20px;
  color: #001e9f;
  font-size: 18px;
  font-weight: bold;
  line-height: 24px;
  text-align: center;
}
.cart_modal_text02 {
  color: red;
  font-size: 16px;
  font-weight: bold;
  line-height: 24px;
  text-align: center;
}

/* ボタンエリア */
.cart-link-modal__buttons {
  display: flex;
  justify-content: space-between;
  width: 450px;
  margin: 20px auto 0;
}
.cart-link-modal__buttons::after {
  content: "";
  display: block;
  clear: both;
}
.cart-link-modal__move,
.cart-link-modal__stay {
  width: 200px;
}
.back-button {
  display: inline-flex;
  justify-content: space-evenly;
  align-items: center;
  width: 190px;
  padding: 8px;
  color: #000;
  font-size: 14px;
  text-decoration: none;
  border: 1px solid #999;
  border-radius: 8px;
  background: linear-gradient(#f5f5f5, #dcdcdc);
  box-shadow: inset 0 1px 0 #fff;
}
.back-button:hover {
  opacity: 0.7;
  border: 2px solid #000;
}
.icon {
  display: inline-block;
  transform: rotate(90deg);
  transition: transform 0.3s ease;
}

/* 閉じるエリア */
.cart-link-modal__close {
  padding: 12px 10px;
  color: #fff;
  font-size: 14px;
  text-align: center;
  background: #000;
}
.cart-link-modal__close:hover {
  color: yellow;
}

/* オーバーレイ(モーダル背景) */
.cart-link-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
}
.cart-link-overlay.is-open {
  display: block;
}

/* 画面縮小時の表示 */
@media screen and (max-width: 999px) {
  .cart-link-modal {
    width: 90%;
  }
  .cart-link-modal__inner {
    width: 96%;
    margin: 20px 2%;
  }
}
@media screen and (max-width: 537px) {
  .cart-link-modal__buttons {
    width: 100%;
  }
  .cart-link-modal__move,
  .cart-link-modal__stay {
    margin: 20px auto 0;
  }
}